﻿<%@ Page Title="NMR Setups & Components" Language="C#"
    MasterPageFile="~/IdeaNMR/IdeaNMR.master" AutoEventWireup="true"
    Inherits="IdeaNMR.Web.AllSetups" CodeBehind="AllSetups.aspx.cs" %>

<%@ MasterType TypeName="IdeaNMR.Web.IdeaNMR_Master" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit"
    TagPrefix="act" %>
<%@ Register Src="~/IdeaNMR/PulseProgramsTable.ascx"
    TagName="PulseProgramsTable" TagPrefix="nmr" %>
<%@ Register Src="~/IdeaNMR/WaveShapesTable.ascx" TagName="WaveShapesTable"
    TagPrefix="nmr" %>
<%@ Register Src="~/IdeaNMR/CpdsTable.ascx" TagName="CpdsTable"
    TagPrefix="nmr" %>
<%@ Register Src="~/IdeaNMR/ScriptsTable.ascx" TagName="ScriptsTable"
    TagPrefix="nmr" %>
<%@ Register Src="~/IdeaNMR/SamplesTable.ascx" TagName="SamplesTable"
    TagPrefix="nmr" %>
<%@ Register Src="~/IdeaNMR/SpectrometersTable.ascx"
    TagName="SpectrometersTable" TagPrefix="nmr" %>
<%@ Import Namespace="IdeaNMR.Web.Core" %>
<asp:Content ID="Content1" ContentPlaceHolderID="CphMaster"
    runat="Server">
    <asp:ScriptManagerProxy runat="server" />
    <asp:UpdateProgress runat="server" DisplayAfter="300"
        AssociatedUpdatePanelID="upMain">
        <ProgressTemplate>
            <asp:Image CssClass="AllSetups UpdateProgress" ImageUrl="Images/WaitRefresh_Black.gif"
                runat="server" />
        </ProgressTemplate>
    </asp:UpdateProgress>
    <asp:UpdatePanel runat="server" ID="upMain">
        <ContentTemplate>
            <act:TabContainer runat="server" ActiveTabIndex="0"
                AutoPostBack="true" ID="tcComponents" OnActiveTabChanged="tcComponents_TabChanged">
                <act:TabPanel runat="server"
                    ID="tabPP">
                    <ContentTemplate>
                        <asp:Button CssClass="BigButton AllSetups" runat="server"
                            OnClientClick="javascript: parent.location = '../PulseProgram_New.ashx';"
                            Text="Add New Pulse Program" />
                        <nmr:PulseProgramsTable runat="server" ID="listPP"
                            CssClass="NMRObjectsTable" Selectable="true" OnSelected="Table_Selected" />
                    </ContentTemplate>
                    <HeaderTemplate>
                        <asp:Label runat="server" Text="Pulse Programs" CssClass="AllSetups_ASPX Fields PulseProgramTabHeader" />
                    </HeaderTemplate>
                </act:TabPanel>
                <act:TabPanel runat="server">
                    <ContentTemplate>
                        <asp:Button CssClass="BigButton AllSetups" runat="server"
                            Text="Add New Sample" OnClientClick="javascript: parent.location = '../Sample_New.ashx';" />
                        <nmr:SamplesTable runat="server" ID="listSamples" Selectable="true"
                            CssClass="SamplesTable" OnSelected="Table_Selected" />
                    </ContentTemplate>
                    <HeaderTemplate>
                        <asp:Label runat="server" Text="Samples" CssClass="AllSetups_ASPX Fields SamplesTabHeader" />
                    </HeaderTemplate>
                </act:TabPanel>
                <act:TabPanel runat="server">
                    <ContentTemplate>
                        <asp:Button CssClass="BigButton AllSetups" runat="server"
                            Text="Add New Spectrometer" OnClientClick="javascript: parent.location='../Spectrometer_New.ashx';" />
                        <nmr:SpectrometersTable runat="server" ID="listSpectrometers"
                            CssClass="SpectrometersTable" Selectable="true"
                            OnSelected="Table_Selected" />
                    </ContentTemplate>
                    <HeaderTemplate>
                        <asp:Label runat="server" Text="Spectrometers" CssClass="AllSetups_ASPX Fields SpectrometersTabHeader" />
                    </HeaderTemplate>
                </act:TabPanel>
                <act:TabPanel runat="server" HeaderText="Wave Shapes">
                    <ContentTemplate>
                        <asp:Button CssClass="BigButton AllSetups" runat="server"
                            Text="Add New Wave Shape" OnClientClick="javascript: parent.location='../WaveShape_New.ashx';" />
                        <%--<nmr:NMRObjectsList runat="server" ID="listWS" Type="WaveShape"
                            Selectable="true" OnSelected="NMRObjectsTable_Selected" />--%>
                        <nmr:WaveShapesTable runat="server" ID="listWS" Selectable="true"
                            CssClass="NMRObjectsTable" OnSelected="Table_Selected" />
                    </ContentTemplate>
                </act:TabPanel>
                <act:TabPanel runat="server" HeaderText="CPDs">
                    <ContentTemplate>
                        <asp:Button CssClass="BigButton AllSetups" runat="server"
                            Text="Add New CPD" OnClientClick="javascript: parent.location='../CPD_New.ashx';" />
                        <%--<nmr:NMRObjectsList runat="server" ID="listCPD" Type="CPD"
                            Selectable="true" OnSelected="NMRObjectsTable_Selected" />--%>
                        <nmr:CpdsTable runat="server" ID="listCpd" Selectable="true"
                            CssClass="NMRObjectsTable" OnSelected="Table_Selected" />
                    </ContentTemplate>
                </act:TabPanel>
                <act:TabPanel runat="server" HeaderText="Scripts">
                    <ContentTemplate>
                        <asp:Button CssClass="BigButton AllSetups" runat="server"
                            Text="Add New Script" OnClientClick="javascript: parent.location='../Script_New.ashx';" />
                        <%--<nmr:NMRObjectsList runat="server" ID="listScripts"
                            Selectable="true" OnSelected="NMRObjectsTable_Selected"
                            Type="Script" />--%>
                        <nmr:ScriptsTable runat="server" ID="listScripts" Selectable="true"
                            CssClass="NMRObjectsTable" OnSelected="Table_Selected" />
                    </ContentTemplate>
                </act:TabPanel>
                
            </act:TabContainer>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
