﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="IdeaNMR.Web.AuthorList"
    CodeBehind="AuthorList.ascx.cs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit"
    TagPrefix="act" %>
<asp:Panel runat="server" ID="panMain">
    <asp:ListView ID="lvSelectedAuthors" runat="server">
        <LayoutTemplate>
            <div id="itemPlaceholder" runat="server" />
        </LayoutTemplate>
        <ItemTemplate>
            <div class='<%# CssClass + " Authors AuthorItem" %>'>
                <span><b>
                    <%# ComposeFullName((IdeaNMR.Web.Core.User)Eval("User")) %>
                </b></span>
                <asp:ImageButton runat="server" AlternateText="Remove Author"
                    ImageUrl="Images/Delete.png" CausesValidation="false"
                    OnCommand="RemoveAuthorButtonCommand" CommandArgument='<%# Eval("User.Username") %>'
                    CommandName="RemoveAuthorCommand" CssClass='<%# CssClass + " Authors RemoveAuthor" %>' />
                <asp:ImageButton runat="server" AlternateText="Move Up Author"
                    CommandArgument='<%# Eval("User.Username") %>'
                    ImageUrl="Images/MoveUp.png" OnCommand="MoveAuthor"
                    CausesValidation="false" CommandName="MoveUpAuthorCommand"
                    CssClass='<%# CssClass + " Authors MoveUp" %>' />
                <asp:ImageButton runat="server" AlternateText="Move  Down Author"
                    CommandArgument='<%# Eval("User.Username") %>' OnCommand="MoveAuthor"
                    ImageUrl="Images/MoveDown.png" CausesValidation="false"
                    CommandName="MoveDownAuthorCommand" CssClass='<%# CssClass + " Authors MoveDown" %>' />
            </div>
        </ItemTemplate>
    </asp:ListView>
    <asp:Panel ID="panAddNewAuthor" runat="server" CssClass='<%$ Code: this.CssClass %>'>
        <asp:Image ID="Image" CssClass='<%$ Code: CssClass + " Authors AddButton" %>'
            runat="server" ImageUrl="Images/Add.png" />
    </asp:Panel>
    <asp:Panel ID="panSelectAuthor" runat="server">
        <asp:Panel runat="server" ID="panWrapper">
            <asp:Panel runat="server" ID="panSearch" DefaultButton="btSearch">
                <asp:TextBox runat="server" ID="tbSearch" CssClass='<%$ Code: this.CssClass + " UserInputField" %>' />
                <asp:Button runat="server" ID="btSearch" Text="Search"
                    CssClass='<%$ Code: this.CssClass %>' CausesValidation="false"
                    OnCommand="SearchButton_Command" />
            </asp:Panel>
            <asp:ListView ID="lvAuthors" runat="server">
                <ItemTemplate>
                    <asp:Panel runat="server" CssClass='<%$ Code: this.CssClass + " Authors ListItem" %>'>
                        <asp:LinkButton runat="server" ID="lbAddAuthor" CommandName="AddAuthorCommand"
                            CausesValidation="false" CommandArgument='<%# Eval("Obj.Username") %>'
                            OnCommand="AddAuthorButtonCommand" CssClass='<%$ Code: this.CssClass + " Authors ListItem" %>'
                            Text='<%# ComposeFullName((IdeaNMR.Web.Core.User)Eval("Obj")) %>'></asp:LinkButton>
                    </asp:Panel>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <asp:Panel runat="server" CssClass='<%$ Code: this.CssClass + " Authors ListItem" %>'>
                        <asp:LinkButton runat="server" ID="lbAddAuthor" CommandName="AddAuthorCommand"
                            CausesValidation="false" CommandArgument='<%# Eval("Obj.Username") %>'
                            OnCommand="AddAuthorButtonCommand" CssClass='<%$ Code: this.CssClass + " Authors AlterListItem" %>'
                            Text='<%# ComposeFullName((IdeaNMR.Web.Core.User)Eval("Obj")) %>'></asp:LinkButton>
                    </asp:Panel>
                </AlternatingItemTemplate>
                <EmptyDataTemplate>
                    <asp:Label runat="server" Text="No Result" CssClass='<%$ Code: this.CssClass + " Authors EmptyData" %>' />
                </EmptyDataTemplate>
                <LayoutTemplate>
                    <asp:Panel runat="server" CssClass='<%$ Code: this.CssClass + " Authors SearchList" %>'>
                        <asp:Panel ID="itemPlaceholder" runat="server" />
                    </asp:Panel>
                </LayoutTemplate>
            </asp:ListView>
        </asp:Panel>
    </asp:Panel>
    <act:CollapsiblePanelExtender ID="cpeSelectAuthorTable"
        runat="server" TargetControlID="panSelectAuthor"
        ExpandControlID="panAddNewAuthor" CollapseControlID="panAddNewAuthor"
        Collapsed="true" AutoCollapse="False" />
</asp:Panel>
