﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CpdsTable.ascx.cs"
    Inherits="IdeaNMR.Web.CpdsTable" %>
<%@ Import Namespace="IdeaNMR.Web" %>
<div id="outterWrapper">
    <div id="innerWrapper" style="position: relative">
        <div class="DataPager">
            <span class="DataPager PageNavigation">
                <asp:DataPager runat="server" ID="TopDataPager" PagedControlID="ContentList">
                    <Fields>
                        <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True"
                            ShowNextPageButton="False" ShowPreviousPageButton="False" />
                        <asp:NumericPagerField ButtonCount="10" />
                        <asp:NextPreviousPagerField ButtonType="Button" ShowLastPageButton="True"
                            ShowNextPageButton="False" ShowPreviousPageButton="False" />
                    </Fields>
                </asp:DataPager>
            </span>
            <span class="DataPager Filters">Show:
                <asp:CheckBox runat="server" ID="IncludePrivateCheckBox"
                    CssClass="BadCheckBox PrivateColor IncludePrivate"
                    AutoPostBack="true" Text="Private" ToolTip="To include components you did not make public."
                    Checked="true" OnCheckedChanged="SelectionControlState_Changed" />
                <asp:CheckBox runat="server" ID="IncludePublicCheckBox"
                    CssClass="BadCheckBox PublicColor IncludePublic"
                    AutoPostBack="true" Text="Public" ToolTip="To include all public components."
                    Checked="true" OnCheckedChanged="SelectionControlState_Changed" />
            </span>
            <span class="DataPager">
                <asp:Panel ID="Panel1" runat="server" DefaultButton="SearchButton"
                    Style="display: inline-block">
                    <asp:TextBox runat="server" CssClass="SearchBox" ID="SearchBox" />
                    <asp:Button runat="server" Text="Search" ID="SearchButton"
                        CausesValidation="false" CssClass="SmallButton"
                        OnClick="SearchButton_Click" />
                </asp:Panel>
            </span>
            <span class="DataPager Refresh">
                <asp:LinkButton ID="RefreshLinkButton" runat="server"
                    Text="Refresh" OnClick="Refresh_Click" CausesValidation="false" />
            </span>
        </div>
        <asp:LinqDataSource runat="server" ID="DataSource"
            OnSelecting="DataSource_OnSelect" ContextTypeName="IdeaNMR.Core.Web.IdeaNMRdbContainer"
            TableName="BaseObjects" OrderBy="Obj.Name" />
        <asp:ListView ID="ContentList" runat="server" DataSourceID="DataSource"
            OnItemDataBound="ContentListView_ItemDataBound">
            <ItemTemplate>
                <asp:Panel runat="server" CssClass='<%# CreateCssClass(Eval("Obj")) %>'
                    ID="ItemPanel">
                    <asp:Label ID="lblName" CssClass='<%# this.CssClass + " Table Name" %>'
                        runat="server" Text='<%# Eval("Obj.Name") %>' />
                    <asp:Label ID="lblDim" CssClass='<%# this.CssClass + " Table Dim" %>'
                        runat="server" /><%-- This one here is for layout only, in css it has a cirtain width, so that next fields will be at the proper position. --%>
                    <asp:Label ID="lblType" CssClass='<%# this.CssClass + " Table Type" %>'
                        runat="server" />
                    <asp:Label ID="lblDate" CssClass='<%# this.CssClass + " Table Date" %>'
                        runat="server" Text='<%# ((DateTime)Eval("Obj.Datetime")).ToUsersLocalTime().ToString(ScrewTurn.Wiki.Settings.DateTimeFormat) %>' />
                    <br />
                    <asp:Label ID="lblAuthors" CssClass="NMRObjectsTable Table Authors"
                        runat="server" Text='<%# CreateAuthorsList(Eval("Obj")) %>' />
                    <asp:Label CssClass="NMRObjectsTable Published" Visible='<%# !(bool)(Eval("Obj.IsPrivate")) %>'
                        Text="Public" runat="server" />
                    <asp:Label runat="server" CssClass='<%# this.CssClass + " Private" %>'
                        Visible='<%# (bool)(Eval("Obj.IsPrivate")) %>'
                        Text="Private" />
                    <asp:Label runat="server" CssClass='<%# this.CssClass + " Table Remark" %>'
                        Text='<%# Eval("Obj.Info") %>' />
                    <asp:Button runat="server" ID="InvisibleCommandButton"
                        Style="display: none" Visible='<%# Selectable %>'
                        CommandName="PickItem" CommandArgument='<%# Eval("Obj.Id") %>'
                        OnCommand="Item_Command" CausesValidation="false" />
                </asp:Panel>
            </ItemTemplate>
            <LayoutTemplate>
                <div id="itemPlaceholderContainer" runat="server">
                    <div class="NMRObjectsTable Sorting">
                        <asp:LinkButton runat="server" ID="sortNameLinkButton"
                            CssClass='<%$ Code : CssClass + " Table Sorting Name" %>'
                            CausesValidation="false" Text="Name" CommandName="Sort"
                            CommandArgument="Obj.Name" />
                        <asp:LinkButton runat="server" ID="SortAuthorsLinkButton"
                            CssClass='<%$ Code: CssClass + " Table Sorting Authors" %>'
                            CausesValidation="false" Text="Authors" CommandName="Sort"
                            CommandArgument="Obj.FirstAuthorLastname" />
                        <asp:LinkButton runat="server" ID="SortDatetimeLinkButton"
                            CssClass='<%$ Code: CssClass + " Table Sorting Date" %>'
                            CausesValidation="false" Text="Date & Time" CommandName="Sort"
                            CommandArgument="Obj.DateTime" />
                    </div>
                    <div id="itemPlaceholder" runat="server" />
                </div>
            </LayoutTemplate>
            <EmptyDataTemplate>
                <asp:Panel runat="server" ID="lblEmptyData" CssClass="Table EmptyData">
                    No DATA have been found. Please try again later. You
                    may also try to change filters and continue.</asp:Panel>
            </EmptyDataTemplate>
        </asp:ListView>
        <div class="DataPager">
            <asp:DataPager runat="server" ID="BottomDataPager"
                PagedControlID="ContentList" PageSize="15">
                <Fields>
                    <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True"
                        ShowNextPageButton="False" ShowPreviousPageButton="False" />
                    <asp:NumericPagerField ButtonCount="10" />
                    <asp:NextPreviousPagerField ButtonType="Button" ShowLastPageButton="True"
                        ShowNextPageButton="False" ShowPreviousPageButton="False" />
                </Fields>
            </asp:DataPager>
        </div>
    </div>
</div>
