﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="IdeaNMR.Web.ExperimentsTable"
    CodeBehind="ExperimentsTable.ascx.cs" %>
<%@ Import Namespace="IdeaNMR.Web" %>
<asp:Panel ID="outterWrapper" runat="server">
    <div id="innerWrapper" style="position: relative">
        <div class="DataPager">
            <span class="DataPager PageNavigation">
                <asp:DataPager runat="server" ID="TopDataPager" PagedControlID="ContentListView">
                    <Fields>
                        <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True"
                            ShowNextPageButton="False" ShowPreviousPageButton="False" />
                        <asp:NumericPagerField ButtonCount="10" />
                        <asp:NextPreviousPagerField ButtonType="Button" ShowLastPageButton="True"
                            ShowNextPageButton="False" ShowPreviousPageButton="False" />
                    </Fields>
                </asp:DataPager>
            </span>
            <span class="DataPager">
                <asp:Panel ID="Panel1" runat="server" DefaultButton="SearchButton"
                    Style="display: inline-block">
                    <asp:TextBox runat="server" CssClass="SearchBox UserInputField"
                        ID="SearchBox" />
                    <asp:Button runat="server" Text="Search" ID="SearchButton"
                        CausesValidation="false" CssClass="SmallButton"
                        OnClick="SearchButton_Click" />
                </asp:Panel>
            </span>
            <span class="DataPager Refresh">
                <asp:LinkButton runat="server" ID="RefreshLinkButton"
                    Text="Refresh" OnClick="Refresh_Click" CausesValidation="false" />
            </span>
        </div>
        <asp:ListView ID="ContentListView" runat="server" DataSourceID="ldsExperiments"
            EnableModelValidation="true" OnItemDataBound="ContentListView_ItemDataBound">
            <%-- 
            ALISTAIR: comments added 12/07/2011
            
            In order to display the list of user experiments clearly, each row alternates between
            a lighter and darker background colour.  This is performed by the <ItemTemplate> and
            <AlternatingItemTemplate> tags, which are identical, except for the background colour used.

            Each row consist of two lines:
              The first row contains the experiment name, sample, spectrometer, pulse program and timestamp.
              The second row contains any user defined parameters
            --%>
            <ItemTemplate>
                <asp:Panel runat="server" CssClass='<%# CreateCssClass(true) %>'
                    ID="ItemPanel">
                    <div class="Table FirstLine">
                        <asp:HyperLink ID="hlName" CssClass="ExperimentsTable Table Name"
                            runat="server" Text='<%# Eval("Obj.Name") %>' NavigateUrl='<%# Eval("Obj.Id", "GetMacro.aspx?ExperimentID={0}") %>' />
                        <asp:LinkButton runat="server" CssClass="ExperimentsTable Table SampleName"
                            OnClientClick='<%# CreateSampleLink(Eval("Obj.Sample")) %>'
                            Text='<%# Eval("Obj.Sample.Name") %>' />
                        <asp:LinkButton runat="server" CssClass="ExperimentsTable Table SpectrometerName"
                            OnClientClick='<%# CreateSpectrometerLink(Eval("Obj.Spectrometer")) %>'
                            Text='<%# Eval("Obj.Spectrometer.Name") +  string.Format(": {0} MHz", Eval("Obj.Spectrometer.Frequency"))  %>' />
                        <asp:LinkButton runat="server" CssClass="ExperimentsTable Table PulseProgramName"
                            OnClientClick='<%# CreatePulseProgramLink(Eval("Obj.PulseProgram")) %>'
                            Text='<%# Eval("Obj.PulseProgram.Name") %>' />
                        <asp:Label runat="server" CssClass="ExperimentsTable Table Date"
                            Text='<%# ((DateTime)Eval("Obj.Datetime")).ToUsersLocalTime().ToString(ScrewTurn.Wiki.Settings.DateTimeFormat) %>' />
                    </div>
                    <br />
                    <div class="Table SecondLine">
                        <asp:Label ID="lblParameters" runat="server" CssClass="ExperimentsTable Table Parameters"
                            Text='<%# Eval("Obj.Parameters") %>' />
                    </div>
                    <asp:Label runat="server" CssClass="ExperimentsTable Table Item Remark"
                        Text='<%# Eval("Obj.Remark") %>' />
                    <asp:Button runat="server" ID="InvisibleCommandButton"
                        Style="display: none" Visible='<%# Selectable %>'
                        CommandName="PickItem" CommandArgument='<%# Eval("Obj.Id") %>'
                        OnCommand="Item_Command" CausesValidation="false" />
                </asp:Panel>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <asp:Panel runat="server" CssClass='<%# CreateCssClass(false) %>'
                    ID="ItemPanel">
                    <div class="Table FirstLine">
                        <asp:HyperLink ID="hlName" CssClass="ExperimentsTable Table Name"
                            runat="server" Text='<%# Eval("Obj.Name") %>' NavigateUrl='<%# Eval("Obj.Id", "GetMacro.aspx?ExperimentID={0}") %>' />
                        <asp:LinkButton runat="server" CssClass="ExperimentsTable Table SampleName"
                            OnClientClick='<%# CreateSampleLink(Eval("Obj.Sample")) %>'
                            Text='<%# Eval("Obj.Sample.Name") %>' />
                        <asp:LinkButton runat="server" CssClass="ExperimentsTable Table SpectrometerName"
                            OnClientClick='<%# CreateSpectrometerLink(Eval("Obj.Spectrometer")) %>'
                            Text='<%# Eval("Obj.Spectrometer.Name") +  string.Format(": {0} MHz", Eval("Obj.Spectrometer.Frequency"))  %>' />
                        <asp:LinkButton runat="server" CssClass="ExperimentsTable Table PulseProgramName"
                            OnClientClick='<%# CreatePulseProgramLink(Eval("Obj.PulseProgram")) %>'
                            Text='<%# Eval("Obj.PulseProgram.Name") %>' />
                        <asp:Label runat="server" CssClass="ExperimentsTable Table Date"
                            Text='<%# ((DateTime)Eval("Obj.Datetime")).ToUsersLocalTime().ToString(ScrewTurn.Wiki.Settings.DateTimeFormat) %>' />
                    </div>
                    <br />
                    <div class="Table SecondLine">
                        <asp:Label ID="lblParameters" runat="server" CssClass="ExperimentsTable Table Parameters"
                            Text='<%# Eval("Obj.Parameters") %>' />
                    </div>
                    <asp:Label runat="server" CssClass="ExperimentsTable Table Item Remark"
                        Text='<%# Eval("Obj.Remark") %>' />
                    <asp:Button runat="server" ID="InvisibleCommandButton"
                        Style="display: none" Visible='<%# Selectable %>'
                        CommandName="PickItem" CommandArgument='<%# Eval("Obj.Id") %>'
                        OnCommand="Item_Command" CausesValidation="false" />
                </asp:Panel>
            </AlternatingItemTemplate>
            <LayoutTemplate>
                <div id="itemPlaceholderContainer" runat="server">
                    <div class="ExperimentsTable Sorting">
                        <asp:LinkButton runat="server" ID="sortNameLinkButton"
                            CssClass="ExperimentsTable Table Sorting Name"
                            CausesValidation="false" Text="Name" CommandName="Sort"
                            CommandArgument="Obj.Name" />
                        <asp:LinkButton runat="server" ID="sortSample" CssClass="ExperimentsTable Table Sorting Sample"
                            CausesValidation="false" Text="Sample" CommandName="Sort"
                            CommandArgument="Obj.Sample.Name" />
                        <asp:LinkButton runat="server" ID="sortSetup" CssClass="ExperimentsTable Table Sorting PulseProgram"
                            CausesValidation="false" Text="Pulse Program" CommandName="Sort"
                            CommandArgument="Obj.PulseProgram.Name" />
                        <asp:LinkButton runat="server" ID="sortSpectrometer"
                            CssClass="ExperimentsTable Table Sorting Spectrometer"
                            CausesValidation="false" Text="Spectrometer" CommandName="Sort"
                            CommandArgument="Obj.Spectrometer.Name" />
                        <asp:LinkButton runat="server" ID="sortDate" CssClass="ExperimentsTable Table Sorting Date"
                            CausesValidation="false" Text="Date & Time" CommandName="Sort"
                            CommandArgument="Obj.Datetime" />
                    </div>
                    <div id="itemPlaceholder" runat="server" />
                </div>
            </LayoutTemplate>
            <EmptyDataTemplate>
                <asp:Panel runat="server" ID="lblEmptyData" CssClass="Table EmptyData">
                    No DATA have been found. Please try again later. You
                    may also try to change filters and continue.
                </asp:Panel>
            </EmptyDataTemplate>
        </asp:ListView>
        <div class="DataPager">
            <asp:DataPager runat="server" ID="BottomDataPager"
                PagedControlID="ContentListView" PageSize="15">
                <Fields>
                    <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True"
                        ShowNextPageButton="False" ShowPreviousPageButton="False" />
                    <asp:NumericPagerField ButtonCount="10" />
                    <asp:NextPreviousPagerField ButtonType="Button" ShowLastPageButton="True"
                        ShowNextPageButton="False" ShowPreviousPageButton="False" />
                </Fields>
            </asp:DataPager>
        </div>
    </div>
</asp:Panel>
<asp:LinqDataSource runat="server" ID="ldsExperiments"
    ContextTypeName="IdeaNMR.Core.Web.IdeaNMRdbContainer"
    TableName="Experiments" OnSelecting="ldsExperiments_OnSelect"
    OrderBy="Obj.Datetime" />
